Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
response = client.datasources.ingest.trigger(
datasource_id="ds_9f8a7b6c5d4e",
)
print(response.message)
print(response.datasource_id)import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const result = await client.datasources.ingest.trigger("ds_abc123");
console.log(`${result.message} (datasource_id: ${result.datasource_id})`);package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
resp, err := client.Datasources.Ingest.Trigger(context.Background(), "ds_abc123")
if err != nil {
panic(err)
}
fmt.Println(resp.Message)
fmt.Println(resp.DatasourceID)
}curl --request POST \
--url https://api.meibel.ai/v2/datasources/{datasource_id}/trigger-ingest \
--header 'Meibel-API-Key: <api-key>'const options = {method: 'POST', headers: {'Meibel-API-Key': '<api-key>'}};
fetch('https://api.meibel.ai/v2/datasources/{datasource_id}/trigger-ingest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"datasource_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Ingest
Trigger Ingest
POST
/
datasources
/
{datasource_id}
/
trigger-ingest
Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
response = client.datasources.ingest.trigger(
datasource_id="ds_9f8a7b6c5d4e",
)
print(response.message)
print(response.datasource_id)import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const result = await client.datasources.ingest.trigger("ds_abc123");
console.log(`${result.message} (datasource_id: ${result.datasource_id})`);package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
resp, err := client.Datasources.Ingest.Trigger(context.Background(), "ds_abc123")
if err != nil {
panic(err)
}
fmt.Println(resp.Message)
fmt.Println(resp.DatasourceID)
}Authorizations
Path Parameters
Was this page helpful?
⌘I